AC_INIT(napLib/mp3info.c)
AM_INIT_AUTOMAKE(tknap, 0.5.21)
AM_CONFIG_HEADER(config.h)

dnl Sets platform-specific options based on 'tclConfig.sh'
MP_CONFIG_TCL

dnl Checks for libraries.

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h)

dnl Checks for typedefs, structures and compiler characteristics.
AC_C_CONST
AC_TYPE_SIZE_T

dnl Checks for library functions.

dnl Gets version numbers
.. ${srcdir}/versions
AC_SUBST(TKNAP_VERSION)
AC_SUBST(MPTK_VERSION)
AC_SUBST(NAPLIB_VERSION)
AC_DEFINE_UNQUOTED(NAPLIB_VERSION, "$NAPLIB_VERSION", [napLib version])

AC_OUTPUT(mpTk/Makefile napLib/Makefile napLib/images/Makefile \
    Makefile napLib/init.tcl napLib/pkgIndex.tcl tknap napchat.tcl)

.
